Name:		ricochet
Version:	1.1.3
Release:	1%{?dist}
Summary:	Anonymous peer-to-peer instant messaging

License:	BSD
URL:		https://ricochet.im/
#Source0:	https://ricochet.im/releases/%{version}/ricochet-%{version}-src.tar.bz2
Source0:	https://github.com/ricochet-im/%{name}/archive/1.1.3.tar.gz#/%{name}-1.1.3.tar.gz

BuildRequires:	openssl-devel
BuildRequires:	protobuf-compiler
BuildRequires:	protobuf-devel
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qtbase-gui
BuildRequires:	qt5-qtdeclarative-devel
BuildRequires:	qt5-qtmultimedia-devel
BuildRequires:	qt5-qtquickcontrols
BuildRequires:	qt5-qttools-devel
BuildRequires:	desktop-file-utils
Requires:	tor hicolor-icon-theme
Requires:	qt5-qtquickcontrols

%description
Ricochet is an experiment with a different kind of instant messaging that
doesn't trust anyone with your identity, your contact list, or your
communications.
* You can chat without exposing your identity (or IP address) to anyone
* Nobody can discover who your contacts are or when you talk (meta-data-free!)
* There are no servers to compromise or operators to intimidate for your
     information
* It's cross-platform and easy for non-technical users

Warnings: Tor does no protocol cleaning.  That means there is a danger
that application protocols and associated programs can be induced to
reveal information about the initiator. Tor depends on Privoxy and
similar protocol cleaners to solve this problem. The present network
is very small -- this further reduces the strength of the anonymity
provided. Tor is not presently suitable for high-stakes anonymity.


%prep
%setup -q

sed -i s/Qt/Qt\;/g src/ricochet.desktop

%build
%qmake_qt5 DEFINES+=RICOCHET_NO_PORTABLE CONFIG+=release
make -f Makefile.Release %{?_smp_mflags}


%install
make -f Makefile.Release install INSTALL_ROOT=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/ricochet.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/ricochet
%{_datadir}/applications/ricochet.desktop
%{_datadir}/icons/hicolor/48x48/apps/ricochet.png
%{_datadir}/icons/hicolor/scalable/apps/ricochet.svg
%doc AUTHORS.md README.md
%license LICENSE


%changelog
* Wed Oct 12 2016 Jon Ciesla <limburgher@gmail.com> 1.1.3-1
- 1.1.3

* Thu Jun 09 2016 Jon Ciesla <limburgher@gmail.com> 1.1.2-2
- Fixed icon scriptlets and desktop file for review.

* Fri Apr 22 2016 Jon Ciesla <limburgher@gmail.com> 1.1.2-1
- 1.1.2
- Added manual qt5-qtquickcontrols Requires.

* Mon Sep 21 2015 Jon Ciesla <limburgher@gmail.com> 1.1.1-2
- Fixed description, macros for review.

* Sun Sep 20 2015 Jon Ciesla <limburgher@gmail.com> 1.1.1-1
- Initial RPM Package based on upstream spec.
